
RADOS - Bug #39972

librados 'buffer::create' and related functions are not exported in C++ API

05/20/2019 06:51 AM - Jason Dillaman

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Jason Dillaman   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: nautilus Component(RADOS):  

Regression: No Pull request ID: 28167

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

Currently, there is no way to create any 'buffer::raw' objects since they are no longer exposed (since Nautilus) via the public API.

Move the inline "v14_2_0" namespace up to encompass those methods.

Related issues:

Copied to RADOS - Backport #40274: nautilus: librados 'buffer::create' and re... Resolved

History

#1 - 05/20/2019 07:34 AM - Jason Dillaman

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 28167

#2 - 06/11/2019 05:48 AM - Kefu Chai

- Status changed from Fix Under Review to Pending Backport

#3 - 06/11/2019 08:16 PM - Nathan Cutler

- Copied to Backport #40274: nautilus: librados 'buffer::create' and related functions are not exported in C++ API added

#4 - 08/21/2019 09:18 PM - Greg Farnum

- Status changed from Pending Backport to Resolved
